select t1.tsubmiteditmodelid,
       t1.ftitle,
       t1.fbegdate,
       t1.fenddate,
       t1.checkdate,
       count(t2.tsubmiteditid)                         as frequireqty,
       sum(case when t2.fstatus = 'ύ' then 1 else 0 end) as fsubmitqty
from DSBCRM..tsubmiteditmodel t1
       inner join DSBCRM..tsubmitedit t2 on t1.siteid = t2.siteid and t1.tsubmiteditmodelid = t2.tsubmiteditmodelid
       inner join DSBCRM..tagents t3 on t2.siteid=t3.siteid and t2.tagentsid=t3.tagentsid
where t1.fstatus = ''
  and t1.siteid =$siteid$
  and (t3.fsaleruserid in $tenterprise_userid$
)
group by t1.tsubmiteditmodelid, t1.ftitle, t1.fbegdate, t1.fenddate, t1.checkdate