package com.cnd3b.restcontroller.enterprise.salerclient.mainpage.submitedit;

import com.alibaba.fastjson.JSONObject;
import com.cnd3b.common.Controller;
import com.cnd3b.common.D3bException;
import com.cnd3b.common.data.Row;
import com.cnd3b.common.data.Rows;
import com.cnd3b.common.data.RowsMap;
import com.cnd3b.common.data.SQLFactory;
import com.cnd3b.common.data.db.DataPool;

import java.util.ArrayList;

/**
 * ᱨ
 */
public class submitedit extends Controller {

    public submitedit(JSONObject content) {
        super(content);
    }

    /**
     * ᱨбѯ
     *
     * @return
     */
    public String query_submiteditmodelList() {
        /**
         *
         */
        String[] sortfield = {"t1.checkdate"};
        String sort = getSort(sortfield, "t1.checkdate desc");
        SQLFactory costhead = new SQLFactory(this, "ᱨбѯ", pageSize, pageNumber, sort);
        costhead.addParameter("siteid", siteid);
        costhead.addParameter("tenterprise_userid", userid);
        Rows rows = dbConnect.runSqlQuery(costhead.getSQL());
        return getSucReturnObject().setDataByPaging(rows, sortfield).setFinalDo(DataPool.defaultdatalife, 1);
    }


    /**
     * ᱨ
     *
     * @return
     */
    public String query_submiteditmodelMain() {
        String tsubmiteditmodelid = content.getString("tsubmiteditmodelid");//ᱨģID
        SQLFactory sqlFactory = new SQLFactory(this, "ᱨѯ");
        sqlFactory.addParameter("siteid", siteid);
        sqlFactory.addParameter("tenterprise_userid", userid);
        sqlFactory.addParameter("tsubmiteditmodelid", tsubmiteditmodelid);
        Rows rows = dbConnect.runSqlQuery(sqlFactory.getSQL());
        dbConnect.runSqlUpdate("update tsubmitedit set fisread=1 where siteid='" + siteid + "' and tsubmiteditmodelid='" + tsubmiteditmodelid + "' and tenterprise_userid='" + userid + "'");
        return getSucReturnObject().setData(rows).toString();
    }


    /**
     * ̱
     *
     * @return
     */
    public String saveedit() {
        String tsubmiteditmodelid = content.getString("tsubmiteditmodelid");//ᱨģID
        String fcontent = content.getString("fcontent");//ᱨģID

        SQLFactory sqlFactory = new SQLFactory(this, "");
        sqlFactory.addParameter("fcontent", fcontent);
        sqlFactory.addParameter("changeby", username);
        sqlFactory.addParameter("siteid", siteid);
        sqlFactory.addParameter("submitby", username);
        sqlFactory.addParameter("tsubmiteditmodelid", tsubmiteditmodelid);
        sqlFactory.addParameter("tenterprise_userid", userid);
        String status = dbConnect.runSqlUpdate(sqlFactory.getSQL());
        if ("true".equalsIgnoreCase(status)) {
            return query_submiteditmodelMain();
        } else {
            return getErrReturnObject().setErrMsg(status).toString();
        }
    }

    /**
     * ύ
     *
     * @return
     */
    public String submitedit()throws D3bException {
        String tsubmiteditmodelid = content.getString("tsubmiteditmodelid");//ᱨģID
        String fcontent = content.getString("fcontent","tsubmitedit.fcontent", "ᱨ");

        SQLFactory sqlFactory = new SQLFactory(this, "ᱨ");
        sqlFactory.addParameter("fcontent", fcontent);
        sqlFactory.addParameter("submitby", username);
        sqlFactory.addParameter("siteid", siteid);
        sqlFactory.addParameter("tsubmiteditmodelid", tsubmiteditmodelid);
        sqlFactory.addParameter("tenterprise_userid", userid);
        String status = dbConnect.runSqlUpdate(sqlFactory.getSQL());
        if ("true".equalsIgnoreCase(status)) {
            return query_submiteditmodelMain();
        } else {
            return getErrReturnObject().setErrMsg(status).toString();
        }
    }

    /**
     * ¼ᱨбѯ
     */
    public String query_subsubmiteditmodelList() {
        /**
         *
         */
        String[] sortfield = {"t1.checkdate"};
        String sort = getSort(sortfield, "t1.checkdate desc");
        SQLFactory costhead = new SQLFactory(this, "ᱨбѯ", pageSize, pageNumber, sort);
        costhead.addParameter("siteid", siteid);
        costhead.addParameter_in("tenterprise_userid", getSubUsers());
        Rows rows = dbConnect.runSqlQuery(costhead.getSQL());
        return getSucReturnObject().setDataByPaging(rows, sortfield).setFinalDo(DataPool.defaultdatalife, 1);
    }

    /**
     * ¼ᱨѯ
     */
    public String query_subsubmiteditmodelMain() {
        String tsubmiteditmodelid = content.getString("tsubmiteditmodelid");

        SQLFactory costhead = new SQLFactory(this, "ᱨѯ");
        costhead.addParameter("siteid", siteid);
        costhead.addParameter("tsubmiteditmodelid", tsubmiteditmodelid);
        costhead.addParameter_in("fsaleruserid", getSubUsers());
        Rows rows = dbConnect.runSqlQuery(costhead.getSQL());
        ArrayList<String> fsaleruseridlist = rows.toArrayList("fsaleruserid");

        SQLFactory mx = new SQLFactory(this, "ᱨ澭ϸѯ");
        mx.addParameter("siteid", siteid);
        mx.addParameter("tsubmiteditmodelid", tsubmiteditmodelid);
        mx.addParameter_in("fsaleruserid", fsaleruseridlist);
        RowsMap map = dbConnect.runSqlQuery(mx.getSQL()).toRowsMap("fsaleruserid");

        for (Row row : rows) {
            row.put("agentlist", map.get(row.getString("fsaleruserid")));
        }
        return getSucReturnObject().setData(rows).saveToDataPool().toString();
    }
}
